Subject: Ticket Assigned - Disappointed
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 21 Apr 2023 06:43:07 +0000

Hi Mohammad Khalid,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Disappointed I ordered online and today went to store to collect it but the watch box was very dirty and inside it's also look used I have to give gift to my husband i showed picture to him but got this response I ordered online first time even I didn't get 15%off to ordered online but I placed order and what is this what kind of service you are providing.. in store there was a supervisor lady very angry lady she wasn't deal good with us bad customer service
Regards Hina Jamil

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/6112856